package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyLskcxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyLskcxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andKcxxidIsNull() {
            addCriterion("KCXXID is null");
            return (Criteria) this;
        }

        public Criteria andKcxxidIsNotNull() {
            addCriterion("KCXXID is not null");
            return (Criteria) this;
        }

        public Criteria andKcxxidEqualTo(String value) {
            addCriterion("KCXXID =", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotEqualTo(String value) {
            addCriterion("KCXXID <>", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidGreaterThan(String value) {
            addCriterion("KCXXID >", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidGreaterThanOrEqualTo(String value) {
            addCriterion("KCXXID >=", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidLessThan(String value) {
            addCriterion("KCXXID <", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidLessThanOrEqualTo(String value) {
            addCriterion("KCXXID <=", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidLike(String value) {
            addCriterion("KCXXID like", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotLike(String value) {
            addCriterion("KCXXID not like", value, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidIn(List<String> values) {
            addCriterion("KCXXID in", values, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotIn(List<String> values) {
            addCriterion("KCXXID not in", values, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidBetween(String value1, String value2) {
            addCriterion("KCXXID between", value1, value2, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andKcxxidNotBetween(String value1, String value2) {
            addCriterion("KCXXID not between", value1, value2, "kcxxid");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNull() {
            addCriterion("HWBM is null");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNotNull() {
            addCriterion("HWBM is not null");
            return (Criteria) this;
        }

        public Criteria andHwbmEqualTo(String value) {
            addCriterion("HWBM =", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotEqualTo(String value) {
            addCriterion("HWBM <>", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThan(String value) {
            addCriterion("HWBM >", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThanOrEqualTo(String value) {
            addCriterion("HWBM >=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThan(String value) {
            addCriterion("HWBM <", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThanOrEqualTo(String value) {
            addCriterion("HWBM <=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLike(String value) {
            addCriterion("HWBM like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotLike(String value) {
            addCriterion("HWBM not like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmIn(List<String> values) {
            addCriterion("HWBM in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotIn(List<String> values) {
            addCriterion("HWBM not in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmBetween(String value1, String value2) {
            addCriterion("HWBM between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotBetween(String value1, String value2) {
            addCriterion("HWBM not between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andSsajbhIsNull() {
            addCriterion("SSAJBH is null");
            return (Criteria) this;
        }

        public Criteria andSsajbhIsNotNull() {
            addCriterion("SSAJBH is not null");
            return (Criteria) this;
        }

        public Criteria andSsajbhEqualTo(String value) {
            addCriterion("SSAJBH =", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhNotEqualTo(String value) {
            addCriterion("SSAJBH <>", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhGreaterThan(String value) {
            addCriterion("SSAJBH >", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhGreaterThanOrEqualTo(String value) {
            addCriterion("SSAJBH >=", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhLessThan(String value) {
            addCriterion("SSAJBH <", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhLessThanOrEqualTo(String value) {
            addCriterion("SSAJBH <=", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhLike(String value) {
            addCriterion("SSAJBH like", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhNotLike(String value) {
            addCriterion("SSAJBH not like", value, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhIn(List<String> values) {
            addCriterion("SSAJBH in", values, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhNotIn(List<String> values) {
            addCriterion("SSAJBH not in", values, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhBetween(String value1, String value2) {
            addCriterion("SSAJBH between", value1, value2, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajbhNotBetween(String value1, String value2) {
            addCriterion("SSAJBH not between", value1, value2, "ssajbh");
            return (Criteria) this;
        }

        public Criteria andSsajmcIsNull() {
            addCriterion("SSAJMC is null");
            return (Criteria) this;
        }

        public Criteria andSsajmcIsNotNull() {
            addCriterion("SSAJMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsajmcEqualTo(String value) {
            addCriterion("SSAJMC =", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcNotEqualTo(String value) {
            addCriterion("SSAJMC <>", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcGreaterThan(String value) {
            addCriterion("SSAJMC >", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSAJMC >=", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcLessThan(String value) {
            addCriterion("SSAJMC <", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcLessThanOrEqualTo(String value) {
            addCriterion("SSAJMC <=", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcLike(String value) {
            addCriterion("SSAJMC like", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcNotLike(String value) {
            addCriterion("SSAJMC not like", value, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcIn(List<String> values) {
            addCriterion("SSAJMC in", values, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcNotIn(List<String> values) {
            addCriterion("SSAJMC not in", values, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcBetween(String value1, String value2) {
            addCriterion("SSAJMC between", value1, value2, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSsajmcNotBetween(String value1, String value2) {
            addCriterion("SSAJMC not between", value1, value2, "ssajmc");
            return (Criteria) this;
        }

        public Criteria andSscfbhIsNull() {
            addCriterion("SSCFBH is null");
            return (Criteria) this;
        }

        public Criteria andSscfbhIsNotNull() {
            addCriterion("SSCFBH is not null");
            return (Criteria) this;
        }

        public Criteria andSscfbhEqualTo(String value) {
            addCriterion("SSCFBH =", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhNotEqualTo(String value) {
            addCriterion("SSCFBH <>", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhGreaterThan(String value) {
            addCriterion("SSCFBH >", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhGreaterThanOrEqualTo(String value) {
            addCriterion("SSCFBH >=", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhLessThan(String value) {
            addCriterion("SSCFBH <", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhLessThanOrEqualTo(String value) {
            addCriterion("SSCFBH <=", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhLike(String value) {
            addCriterion("SSCFBH like", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhNotLike(String value) {
            addCriterion("SSCFBH not like", value, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhIn(List<String> values) {
            addCriterion("SSCFBH in", values, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhNotIn(List<String> values) {
            addCriterion("SSCFBH not in", values, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhBetween(String value1, String value2) {
            addCriterion("SSCFBH between", value1, value2, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfbhNotBetween(String value1, String value2) {
            addCriterion("SSCFBH not between", value1, value2, "sscfbh");
            return (Criteria) this;
        }

        public Criteria andSscfmcIsNull() {
            addCriterion("SSCFMC is null");
            return (Criteria) this;
        }

        public Criteria andSscfmcIsNotNull() {
            addCriterion("SSCFMC is not null");
            return (Criteria) this;
        }

        public Criteria andSscfmcEqualTo(String value) {
            addCriterion("SSCFMC =", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcNotEqualTo(String value) {
            addCriterion("SSCFMC <>", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcGreaterThan(String value) {
            addCriterion("SSCFMC >", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSCFMC >=", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcLessThan(String value) {
            addCriterion("SSCFMC <", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcLessThanOrEqualTo(String value) {
            addCriterion("SSCFMC <=", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcLike(String value) {
            addCriterion("SSCFMC like", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcNotLike(String value) {
            addCriterion("SSCFMC not like", value, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcIn(List<String> values) {
            addCriterion("SSCFMC in", values, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcNotIn(List<String> values) {
            addCriterion("SSCFMC not in", values, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcBetween(String value1, String value2) {
            addCriterion("SSCFMC between", value1, value2, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSscfmcNotBetween(String value1, String value2) {
            addCriterion("SSCFMC not between", value1, value2, "sscfmc");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsyddmIsNull() {
            addCriterion("SSYDDM is null");
            return (Criteria) this;
        }

        public Criteria andSsyddmIsNotNull() {
            addCriterion("SSYDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsyddmEqualTo(String value) {
            addCriterion("SSYDDM =", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmNotEqualTo(String value) {
            addCriterion("SSYDDM <>", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmGreaterThan(String value) {
            addCriterion("SSYDDM >", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSYDDM >=", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmLessThan(String value) {
            addCriterion("SSYDDM <", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmLessThanOrEqualTo(String value) {
            addCriterion("SSYDDM <=", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmLike(String value) {
            addCriterion("SSYDDM like", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmNotLike(String value) {
            addCriterion("SSYDDM not like", value, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmIn(List<String> values) {
            addCriterion("SSYDDM in", values, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmNotIn(List<String> values) {
            addCriterion("SSYDDM not in", values, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmBetween(String value1, String value2) {
            addCriterion("SSYDDM between", value1, value2, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyddmNotBetween(String value1, String value2) {
            addCriterion("SSYDDM not between", value1, value2, "ssyddm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andLspzbmIsNull() {
            addCriterion("LSPZBM is null");
            return (Criteria) this;
        }

        public Criteria andLspzbmIsNotNull() {
            addCriterion("LSPZBM is not null");
            return (Criteria) this;
        }

        public Criteria andLspzbmEqualTo(String value) {
            addCriterion("LSPZBM =", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotEqualTo(String value) {
            addCriterion("LSPZBM <>", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmGreaterThan(String value) {
            addCriterion("LSPZBM >", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSPZBM >=", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmLessThan(String value) {
            addCriterion("LSPZBM <", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmLessThanOrEqualTo(String value) {
            addCriterion("LSPZBM <=", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmLike(String value) {
            addCriterion("LSPZBM like", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotLike(String value) {
            addCriterion("LSPZBM not like", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmIn(List<String> values) {
            addCriterion("LSPZBM in", values, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotIn(List<String> values) {
            addCriterion("LSPZBM not in", values, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmBetween(String value1, String value2) {
            addCriterion("LSPZBM between", value1, value2, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotBetween(String value1, String value2) {
            addCriterion("LSPZBM not between", value1, value2, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzmcIsNull() {
            addCriterion("LSPZMC is null");
            return (Criteria) this;
        }

        public Criteria andLspzmcIsNotNull() {
            addCriterion("LSPZMC is not null");
            return (Criteria) this;
        }

        public Criteria andLspzmcEqualTo(String value) {
            addCriterion("LSPZMC =", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotEqualTo(String value) {
            addCriterion("LSPZMC <>", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcGreaterThan(String value) {
            addCriterion("LSPZMC >", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSPZMC >=", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcLessThan(String value) {
            addCriterion("LSPZMC <", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcLessThanOrEqualTo(String value) {
            addCriterion("LSPZMC <=", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcLike(String value) {
            addCriterion("LSPZMC like", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotLike(String value) {
            addCriterion("LSPZMC not like", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcIn(List<String> values) {
            addCriterion("LSPZMC in", values, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotIn(List<String> values) {
            addCriterion("LSPZMC not in", values, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcBetween(String value1, String value2) {
            addCriterion("LSPZMC between", value1, value2, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotBetween(String value1, String value2) {
            addCriterion("LSPZMC not between", value1, value2, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLsndIsNull() {
            addCriterion("LSND is null");
            return (Criteria) this;
        }

        public Criteria andLsndIsNotNull() {
            addCriterion("LSND is not null");
            return (Criteria) this;
        }

        public Criteria andLsndEqualTo(String value) {
            addCriterion("LSND =", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndNotEqualTo(String value) {
            addCriterion("LSND <>", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndGreaterThan(String value) {
            addCriterion("LSND >", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndGreaterThanOrEqualTo(String value) {
            addCriterion("LSND >=", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndLessThan(String value) {
            addCriterion("LSND <", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndLessThanOrEqualTo(String value) {
            addCriterion("LSND <=", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndLike(String value) {
            addCriterion("LSND like", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndNotLike(String value) {
            addCriterion("LSND not like", value, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndIn(List<String> values) {
            addCriterion("LSND in", values, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndNotIn(List<String> values) {
            addCriterion("LSND not in", values, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndBetween(String value1, String value2) {
            addCriterion("LSND between", value1, value2, "lsnd");
            return (Criteria) this;
        }

        public Criteria andLsndNotBetween(String value1, String value2) {
            addCriterion("LSND not between", value1, value2, "lsnd");
            return (Criteria) this;
        }

        public Criteria andCcqjIsNull() {
            addCriterion("CCQJ is null");
            return (Criteria) this;
        }

        public Criteria andCcqjIsNotNull() {
            addCriterion("CCQJ is not null");
            return (Criteria) this;
        }

        public Criteria andCcqjEqualTo(String value) {
            addCriterion("CCQJ =", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjNotEqualTo(String value) {
            addCriterion("CCQJ <>", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjGreaterThan(String value) {
            addCriterion("CCQJ >", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjGreaterThanOrEqualTo(String value) {
            addCriterion("CCQJ >=", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjLessThan(String value) {
            addCriterion("CCQJ <", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjLessThanOrEqualTo(String value) {
            addCriterion("CCQJ <=", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjLike(String value) {
            addCriterion("CCQJ like", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjNotLike(String value) {
            addCriterion("CCQJ not like", value, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjIn(List<String> values) {
            addCriterion("CCQJ in", values, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjNotIn(List<String> values) {
            addCriterion("CCQJ not in", values, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjBetween(String value1, String value2) {
            addCriterion("CCQJ between", value1, value2, "ccqj");
            return (Criteria) this;
        }

        public Criteria andCcqjNotBetween(String value1, String value2) {
            addCriterion("CCQJ not between", value1, value2, "ccqj");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNull() {
            addCriterion("LSXZBM is null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNotNull() {
            addCriterion("LSXZBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmEqualTo(String value) {
            addCriterion("LSXZBM =", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotEqualTo(String value) {
            addCriterion("LSXZBM <>", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThan(String value) {
            addCriterion("LSXZBM >", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSXZBM >=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThan(String value) {
            addCriterion("LSXZBM <", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThanOrEqualTo(String value) {
            addCriterion("LSXZBM <=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLike(String value) {
            addCriterion("LSXZBM like", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotLike(String value) {
            addCriterion("LSXZBM not like", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIn(List<String> values) {
            addCriterion("LSXZBM in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotIn(List<String> values) {
            addCriterion("LSXZBM not in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmBetween(String value1, String value2) {
            addCriterion("LSXZBM between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotBetween(String value1, String value2) {
            addCriterion("LSXZBM not between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIsNull() {
            addCriterion("LSXZMC is null");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIsNotNull() {
            addCriterion("LSXZMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzmcEqualTo(String value) {
            addCriterion("LSXZMC =", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotEqualTo(String value) {
            addCriterion("LSXZMC <>", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcGreaterThan(String value) {
            addCriterion("LSXZMC >", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSXZMC >=", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLessThan(String value) {
            addCriterion("LSXZMC <", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLessThanOrEqualTo(String value) {
            addCriterion("LSXZMC <=", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLike(String value) {
            addCriterion("LSXZMC like", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotLike(String value) {
            addCriterion("LSXZMC not like", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIn(List<String> values) {
            addCriterion("LSXZMC in", values, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotIn(List<String> values) {
            addCriterion("LSXZMC not in", values, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcBetween(String value1, String value2) {
            addCriterion("LSXZMC between", value1, value2, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotBetween(String value1, String value2) {
            addCriterion("LSXZMC not between", value1, value2, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andRksjIsNull() {
            addCriterion("RKSJ is null");
            return (Criteria) this;
        }

        public Criteria andRksjIsNotNull() {
            addCriterion("RKSJ is not null");
            return (Criteria) this;
        }

        public Criteria andRksjEqualTo(Date value) {
            addCriterion("RKSJ =", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotEqualTo(Date value) {
            addCriterion("RKSJ <>", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjGreaterThan(Date value) {
            addCriterion("RKSJ >", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjGreaterThanOrEqualTo(Date value) {
            addCriterion("RKSJ >=", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjLessThan(Date value) {
            addCriterion("RKSJ <", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjLessThanOrEqualTo(Date value) {
            addCriterion("RKSJ <=", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjIn(List<Date> values) {
            addCriterion("RKSJ in", values, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotIn(List<Date> values) {
            addCriterion("RKSJ not in", values, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjBetween(Date value1, Date value2) {
            addCriterion("RKSJ between", value1, value2, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotBetween(Date value1, Date value2) {
            addCriterion("RKSJ not between", value1, value2, "rksj");
            return (Criteria) this;
        }

        public Criteria andCzhddjIsNull() {
            addCriterion("CZHDDJ is null");
            return (Criteria) this;
        }

        public Criteria andCzhddjIsNotNull() {
            addCriterion("CZHDDJ is not null");
            return (Criteria) this;
        }

        public Criteria andCzhddjEqualTo(String value) {
            addCriterion("CZHDDJ =", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjNotEqualTo(String value) {
            addCriterion("CZHDDJ <>", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjGreaterThan(String value) {
            addCriterion("CZHDDJ >", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjGreaterThanOrEqualTo(String value) {
            addCriterion("CZHDDJ >=", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjLessThan(String value) {
            addCriterion("CZHDDJ <", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjLessThanOrEqualTo(String value) {
            addCriterion("CZHDDJ <=", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjLike(String value) {
            addCriterion("CZHDDJ like", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjNotLike(String value) {
            addCriterion("CZHDDJ not like", value, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjIn(List<String> values) {
            addCriterion("CZHDDJ in", values, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjNotIn(List<String> values) {
            addCriterion("CZHDDJ not in", values, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjBetween(String value1, String value2) {
            addCriterion("CZHDDJ between", value1, value2, "czhddj");
            return (Criteria) this;
        }

        public Criteria andCzhddjNotBetween(String value1, String value2) {
            addCriterion("CZHDDJ not between", value1, value2, "czhddj");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNull() {
            addCriterion("LSDJBM is null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNotNull() {
            addCriterion("LSDJBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmEqualTo(String value) {
            addCriterion("LSDJBM =", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotEqualTo(String value) {
            addCriterion("LSDJBM <>", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThan(String value) {
            addCriterion("LSDJBM >", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJBM >=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThan(String value) {
            addCriterion("LSDJBM <", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThanOrEqualTo(String value) {
            addCriterion("LSDJBM <=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLike(String value) {
            addCriterion("LSDJBM like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotLike(String value) {
            addCriterion("LSDJBM not like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIn(List<String> values) {
            addCriterion("LSDJBM in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotIn(List<String> values) {
            addCriterion("LSDJBM not in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmBetween(String value1, String value2) {
            addCriterion("LSDJBM between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotBetween(String value1, String value2) {
            addCriterion("LSDJBM not between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNull() {
            addCriterion("LSDJMC is null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNotNull() {
            addCriterion("LSDJMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcEqualTo(String value) {
            addCriterion("LSDJMC =", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotEqualTo(String value) {
            addCriterion("LSDJMC <>", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThan(String value) {
            addCriterion("LSDJMC >", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJMC >=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThan(String value) {
            addCriterion("LSDJMC <", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThanOrEqualTo(String value) {
            addCriterion("LSDJMC <=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLike(String value) {
            addCriterion("LSDJMC like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotLike(String value) {
            addCriterion("LSDJMC not like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIn(List<String> values) {
            addCriterion("LSDJMC in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotIn(List<String> values) {
            addCriterion("LSDJMC not in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcBetween(String value1, String value2) {
            addCriterion("LSDJMC between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotBetween(String value1, String value2) {
            addCriterion("LSDJMC not between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andShndIsNull() {
            addCriterion("SHND is null");
            return (Criteria) this;
        }

        public Criteria andShndIsNotNull() {
            addCriterion("SHND is not null");
            return (Criteria) this;
        }

        public Criteria andShndEqualTo(String value) {
            addCriterion("SHND =", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotEqualTo(String value) {
            addCriterion("SHND <>", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThan(String value) {
            addCriterion("SHND >", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThanOrEqualTo(String value) {
            addCriterion("SHND >=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThan(String value) {
            addCriterion("SHND <", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThanOrEqualTo(String value) {
            addCriterion("SHND <=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLike(String value) {
            addCriterion("SHND like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotLike(String value) {
            addCriterion("SHND not like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndIn(List<String> values) {
            addCriterion("SHND in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotIn(List<String> values) {
            addCriterion("SHND not in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndBetween(String value1, String value2) {
            addCriterion("SHND between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotBetween(String value1, String value2) {
            addCriterion("SHND not between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andLsgbIsNull() {
            addCriterion("LSGB is null");
            return (Criteria) this;
        }

        public Criteria andLsgbIsNotNull() {
            addCriterion("LSGB is not null");
            return (Criteria) this;
        }

        public Criteria andLsgbEqualTo(String value) {
            addCriterion("LSGB =", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotEqualTo(String value) {
            addCriterion("LSGB <>", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbGreaterThan(String value) {
            addCriterion("LSGB >", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbGreaterThanOrEqualTo(String value) {
            addCriterion("LSGB >=", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLessThan(String value) {
            addCriterion("LSGB <", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLessThanOrEqualTo(String value) {
            addCriterion("LSGB <=", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLike(String value) {
            addCriterion("LSGB like", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotLike(String value) {
            addCriterion("LSGB not like", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbIn(List<String> values) {
            addCriterion("LSGB in", values, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotIn(List<String> values) {
            addCriterion("LSGB not in", values, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbBetween(String value1, String value2) {
            addCriterion("LSGB between", value1, value2, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotBetween(String value1, String value2) {
            addCriterion("LSGB not between", value1, value2, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLscdIsNull() {
            addCriterion("LSCD is null");
            return (Criteria) this;
        }

        public Criteria andLscdIsNotNull() {
            addCriterion("LSCD is not null");
            return (Criteria) this;
        }

        public Criteria andLscdEqualTo(String value) {
            addCriterion("LSCD =", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotEqualTo(String value) {
            addCriterion("LSCD <>", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThan(String value) {
            addCriterion("LSCD >", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThanOrEqualTo(String value) {
            addCriterion("LSCD >=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThan(String value) {
            addCriterion("LSCD <", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThanOrEqualTo(String value) {
            addCriterion("LSCD <=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLike(String value) {
            addCriterion("LSCD like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotLike(String value) {
            addCriterion("LSCD not like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdIn(List<String> values) {
            addCriterion("LSCD in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotIn(List<String> values) {
            addCriterion("LSCD not in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdBetween(String value1, String value2) {
            addCriterion("LSCD between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotBetween(String value1, String value2) {
            addCriterion("LSCD not between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andBgybmIsNull() {
            addCriterion("BGYBM is null");
            return (Criteria) this;
        }

        public Criteria andBgybmIsNotNull() {
            addCriterion("BGYBM is not null");
            return (Criteria) this;
        }

        public Criteria andBgybmEqualTo(String value) {
            addCriterion("BGYBM =", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmNotEqualTo(String value) {
            addCriterion("BGYBM <>", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmGreaterThan(String value) {
            addCriterion("BGYBM >", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmGreaterThanOrEqualTo(String value) {
            addCriterion("BGYBM >=", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmLessThan(String value) {
            addCriterion("BGYBM <", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmLessThanOrEqualTo(String value) {
            addCriterion("BGYBM <=", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmLike(String value) {
            addCriterion("BGYBM like", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmNotLike(String value) {
            addCriterion("BGYBM not like", value, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmIn(List<String> values) {
            addCriterion("BGYBM in", values, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmNotIn(List<String> values) {
            addCriterion("BGYBM not in", values, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmBetween(String value1, String value2) {
            addCriterion("BGYBM between", value1, value2, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgybmNotBetween(String value1, String value2) {
            addCriterion("BGYBM not between", value1, value2, "bgybm");
            return (Criteria) this;
        }

        public Criteria andBgymcIsNull() {
            addCriterion("BGYMC is null");
            return (Criteria) this;
        }

        public Criteria andBgymcIsNotNull() {
            addCriterion("BGYMC is not null");
            return (Criteria) this;
        }

        public Criteria andBgymcEqualTo(String value) {
            addCriterion("BGYMC =", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcNotEqualTo(String value) {
            addCriterion("BGYMC <>", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcGreaterThan(String value) {
            addCriterion("BGYMC >", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcGreaterThanOrEqualTo(String value) {
            addCriterion("BGYMC >=", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcLessThan(String value) {
            addCriterion("BGYMC <", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcLessThanOrEqualTo(String value) {
            addCriterion("BGYMC <=", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcLike(String value) {
            addCriterion("BGYMC like", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcNotLike(String value) {
            addCriterion("BGYMC not like", value, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcIn(List<String> values) {
            addCriterion("BGYMC in", values, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcNotIn(List<String> values) {
            addCriterion("BGYMC not in", values, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcBetween(String value1, String value2) {
            addCriterion("BGYMC between", value1, value2, "bgymc");
            return (Criteria) this;
        }

        public Criteria andBgymcNotBetween(String value1, String value2) {
            addCriterion("BGYMC not between", value1, value2, "bgymc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmIsNull() {
            addCriterion("LQGSDWBM is null");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmIsNotNull() {
            addCriterion("LQGSDWBM is not null");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmEqualTo(String value) {
            addCriterion("LQGSDWBM =", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmNotEqualTo(String value) {
            addCriterion("LQGSDWBM <>", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmGreaterThan(String value) {
            addCriterion("LQGSDWBM >", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmGreaterThanOrEqualTo(String value) {
            addCriterion("LQGSDWBM >=", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmLessThan(String value) {
            addCriterion("LQGSDWBM <", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmLessThanOrEqualTo(String value) {
            addCriterion("LQGSDWBM <=", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmLike(String value) {
            addCriterion("LQGSDWBM like", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmNotLike(String value) {
            addCriterion("LQGSDWBM not like", value, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmIn(List<String> values) {
            addCriterion("LQGSDWBM in", values, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmNotIn(List<String> values) {
            addCriterion("LQGSDWBM not in", values, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmBetween(String value1, String value2) {
            addCriterion("LQGSDWBM between", value1, value2, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwbmNotBetween(String value1, String value2) {
            addCriterion("LQGSDWBM not between", value1, value2, "lqgsdwbm");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcIsNull() {
            addCriterion("LQGSDWMC is null");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcIsNotNull() {
            addCriterion("LQGSDWMC is not null");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcEqualTo(String value) {
            addCriterion("LQGSDWMC =", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcNotEqualTo(String value) {
            addCriterion("LQGSDWMC <>", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcGreaterThan(String value) {
            addCriterion("LQGSDWMC >", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcGreaterThanOrEqualTo(String value) {
            addCriterion("LQGSDWMC >=", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcLessThan(String value) {
            addCriterion("LQGSDWMC <", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcLessThanOrEqualTo(String value) {
            addCriterion("LQGSDWMC <=", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcLike(String value) {
            addCriterion("LQGSDWMC like", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcNotLike(String value) {
            addCriterion("LQGSDWMC not like", value, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcIn(List<String> values) {
            addCriterion("LQGSDWMC in", values, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcNotIn(List<String> values) {
            addCriterion("LQGSDWMC not in", values, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcBetween(String value1, String value2) {
            addCriterion("LQGSDWMC between", value1, value2, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andLqgsdwmcNotBetween(String value1, String value2) {
            addCriterion("LQGSDWMC not between", value1, value2, "lqgsdwmc");
            return (Criteria) this;
        }

        public Criteria andFcsjIsNull() {
            addCriterion("FCSJ is null");
            return (Criteria) this;
        }

        public Criteria andFcsjIsNotNull() {
            addCriterion("FCSJ is not null");
            return (Criteria) this;
        }

        public Criteria andFcsjEqualTo(Date value) {
            addCriterion("FCSJ =", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjNotEqualTo(Date value) {
            addCriterion("FCSJ <>", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjGreaterThan(Date value) {
            addCriterion("FCSJ >", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjGreaterThanOrEqualTo(Date value) {
            addCriterion("FCSJ >=", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjLessThan(Date value) {
            addCriterion("FCSJ <", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjLessThanOrEqualTo(Date value) {
            addCriterion("FCSJ <=", value, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjIn(List<Date> values) {
            addCriterion("FCSJ in", values, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjNotIn(List<Date> values) {
            addCriterion("FCSJ not in", values, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjBetween(Date value1, Date value2) {
            addCriterion("FCSJ between", value1, value2, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcsjNotBetween(Date value1, Date value2) {
            addCriterion("FCSJ not between", value1, value2, "fcsj");
            return (Criteria) this;
        }

        public Criteria andFcslIsNull() {
            addCriterion("FCSL is null");
            return (Criteria) this;
        }

        public Criteria andFcslIsNotNull() {
            addCriterion("FCSL is not null");
            return (Criteria) this;
        }

        public Criteria andFcslEqualTo(BigDecimal value) {
            addCriterion("FCSL =", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslNotEqualTo(BigDecimal value) {
            addCriterion("FCSL <>", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslGreaterThan(BigDecimal value) {
            addCriterion("FCSL >", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("FCSL >=", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslLessThan(BigDecimal value) {
            addCriterion("FCSL <", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("FCSL <=", value, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslIn(List<BigDecimal> values) {
            addCriterion("FCSL in", values, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslNotIn(List<BigDecimal> values) {
            addCriterion("FCSL not in", values, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("FCSL between", value1, value2, "fcsl");
            return (Criteria) this;
        }

        public Criteria andFcslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("FCSL not between", value1, value2, "fcsl");
            return (Criteria) this;
        }

        public Criteria andQcsjIsNull() {
            addCriterion("QCSJ is null");
            return (Criteria) this;
        }

        public Criteria andQcsjIsNotNull() {
            addCriterion("QCSJ is not null");
            return (Criteria) this;
        }

        public Criteria andQcsjEqualTo(Date value) {
            addCriterion("QCSJ =", value, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjNotEqualTo(Date value) {
            addCriterion("QCSJ <>", value, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjGreaterThan(Date value) {
            addCriterion("QCSJ >", value, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjGreaterThanOrEqualTo(Date value) {
            addCriterion("QCSJ >=", value, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjLessThan(Date value) {
            addCriterion("QCSJ <", value, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjLessThanOrEqualTo(Date value) {
            addCriterion("QCSJ <=", value, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjIn(List<Date> values) {
            addCriterion("QCSJ in", values, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjNotIn(List<Date> values) {
            addCriterion("QCSJ not in", values, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjBetween(Date value1, Date value2) {
            addCriterion("QCSJ between", value1, value2, "qcsj");
            return (Criteria) this;
        }

        public Criteria andQcsjNotBetween(Date value1, Date value2) {
            addCriterion("QCSJ not between", value1, value2, "qcsj");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}